设为首页收藏本站
查看: 59|回复: 0

[PHP] PHP相关系列-安装php环境错误解决

[复制链接]

论坛元老

Rank: 6Rank: 6

积分
34273
主题
17031
UID
1347
M币
67
贡献
17175

  • 发表于 2014-11-2 04:03:00 | 显示全部楼层 |阅读模式
    错误: configure: error: libevent >= 1.4.11 could not be found
    解决: yum -y install libevent libevent-devel


    错误:configure: error: xml2-config not found. Please check your libxml2 installation.
    解决: yum -y install libxml2 libxml2-devel


    错误: configure: error: mcrypt.h not found. Please reinstall libmcrypt.  
      解决: yum install libmcrypt libmcrypt-devel


    错误: configure: error: Please reinstall the libcurl distribution - easy.h should be in /include/curl/  
      解决: yum -y install curl-devel


    错误: If configure fails try --with-jpeg-dir=  configure: error: libpng.(a|so) not found.
    解决: yum -y install libpng-devel


    错误: /usr/bin/ld: cannot find -lltdl  collect2: ld returned 1 exit status  
    解决: yum -y install libtool-ltdl-devel
       
       主要是一些库没安装的原因。
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    在我站开通SVIP可同时获得17个站点VIP资源 立即登录 立即注册
    快速回复 返回顶部 返回列表